Resolved: Error while using apt-get: “Failed to fetch. Not Found [IP: 91.189.92.201 80]”

Ubuntu has a great tool named apt-get to install and manage applications. However, if you’re using old version of Ubuntu, you may run into this error:

Failed to fetch http://archive.ubuntu.com/ubuntu/dists/natty-security/multiverse/binary-i386/Packages  404  Not Found [IP: 91.189.92.201 80]

This error will follow you whatever you do with apt-get.

Solution

Since you’re using old version of ubuntu, packages that you need are not under archive.ubuntu.com anymore. Instead, you have to use old-releases.ubuntu.com as server address. In order to change it:

  1. Type this command on terminal:

    sudo vi /etc/apt/sources.list
  2. Change all archive.ubuntu.com strings to old-releases.ubuntu.com
apt-get server for old versions of Ubuntu
apt-get server for old versions of Ubuntu

Leave a Reply